Skip to main content
POST
/
insights
/
fans
/
batch
Get fan insights in bulk (POST batch)
curl --request POST \
  --url https://api.fanvue.com/insights/fans/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "userUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}
'
{
  "11111111-1111-4111-8111-111111111111": {
    "status": "subscriber",
    "spending": {
      "lastPurchaseAt": "2026-04-12T08:32:00.000Z",
      "total": {
        "gross": 12000,
        "total": 12000
      },
      "maxSinglePayment": {
        "gross": 5000,
        "total": 5000
      },
      "sources": {
        "subscription": {
          "gross": 7000,
          "total": 7000
        },
        "tips": {
          "gross": 5000,
          "total": 5000
        }
      }
    },
    "subscription": {
      "createdAt": "2026-01-15T00:00:00.000Z",
      "renewsAt": "2026-06-15T00:00:00.000Z",
      "autoRenewalEnabled": true
    }
  },
  "22222222-2222-4222-8222-222222222222": {
    "error": "not_found"
  },
  "33333333-3333-4333-9333-333333333333": {
    "error": "internal"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Body

application/json
userUuids
string<uuid>[]
required

Array of fan UUIDs to fetch insights for (1-100)

Required array length: 1 - 100 elements

Response

Per-key insights or error for each requested fan. Always 200 when the request itself is valid, even if every key fails.

Map of input fan UUID to insights or a per-key error (forbidden, not_found, or internal).

{key}
object